<?php
//
//本例代码无法直接使用
//请先看 Winmail OpenAPI 说明文档，修改服务器端 ApiKey 和 Api Secret 参数，再修改本例相关变量：$api_url，$api_key，$api_secret 等
//
@header('Content-type: text/html; charset=utf-8');

function get_api($apiurl, $apikey, $secret, $para) {
	$para['apikey'] = $apikey;
	$para['timestamp'] = time();
	
	ksort($para);

	$sign = $secret;
	foreach($para as $key => $val) {
		$sign .= $key.$val;
	}
	$sign .= $secret;

	$para['sign'] = md5($sign);
	
	$content = curl_http_request($apiurl, $para, 'GET');

	if ($content == false)
		return false;

	return json_decode($content, true);
}

function socket_http_request($url, $post_data) {
	$options = array(
		'http' => array(
			'method' => 'POST',
			'header' => 'Content-type:application/x-www-form-urlencoded',
			'timeout' => 900
		)
	);
	$context = stream_context_create($options);
	$result = file_get_contents($url, false, $context);

	return $result;
}

function curl_http_request($url, $param, $http_method = 'POST') {
	$connect_timeout = 2000;
	$read_timeout = 3000;
	$timeout = $connect_timeout + $read_timeout;
	$user_agent = sprintf('Open API');

	$ch = curl_init();
	$curl_opts = array( CURLOPT_USERAGENT => $user_agent,
						CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
						CURLOPT_RETURNTRANSFER => true,
						CURLOPT_HEADER => false,
						CURLOPT_FOLLOWLOCATION => false,
						CURLOPT_SSL_VERIFYPEER => false,
						);
	if (defined('CURLOPT_CONNECTTIMEOUT_MS')) {
		$curl_opts[CURLOPT_CONNECTTIMEOUT_MS] = $connect_timeout;
		$curl_opts[CURLOPT_TIMEOUT_MS] = $timeout;
	} 
	else {
		$curl_opts[CURLOPT_CONNECTTIMEOUT] = ceil($connect_timeout/1000);
		$curl_opts[CURLOPT_TIMEOUT] = ceil($timeout/1000);
	}
	
	if ($http_method == 'POST') {
		$curl_opts[CURLOPT_URL] = $url;
		$curl_opts[CURLOPT_POSTFIELDS] = $param;
		$curl_opts[CURLOPT_POST] = true;
	} 
	else {
		$delimiter = (strpos($url, '?') === false) ? '?' : '&';
		$curl_opts[CURLOPT_URL] = $url.$delimiter.http_build_query($param);
		$curl_opts[CURLOPT_POST] = false;
	}

	curl_setopt_array($ch, $curl_opts);

	$result = curl_exec($ch);
	if ($result === false) {
		$error = curl_error($ch);
	}
	
	curl_close($ch);

	return $result;
}

//以下变量根据实际系统环境修改
$api_url = 'http://192.168.1.120:6080/admin/openapi.php';   //Webmail URL
$api_key = 'aec777a9d4b';	//OpenAPI appKey
$api_secret = 'hfdjsaf8f6871aea3714a3916eb35199b7a888kk'; 	//OpenAPI appSecret

//管理员登录
$para = array();
$para['method'] = 'login';
$para['user'] = 'admin';
$para['pass'] = 'X_admpwd_111';

$loginuser = get_api($api_url, $api_key, $api_secret, $para);
var_dump($loginuser);
echo '<br>';
if (is_array($loginuser) && $loginuser['result'] == 'ok') {
	$para = array();
	$para['method'] = 'domain';
	$para['sessid'] = $loginuser['info']['sessid'];
	$res = get_api($api_url, $api_key, $api_secret, $para);
//	var_dump($res);
//	echo '<br>';
	
	if (count($res['info']['domains']) > 0) {
		$domain = $res['info']['domains'][0]['domain'];
		
		//增加用户 user1
		$para = array();
		$para['method'] = 'user.added';
		$para['sessid'] = $loginuser['info']['sessid'];
		$para['name'] = 'user1';
		$para['domain'] = $domain;
		$para['password'] = 'Ux1234_[78';
		$para['fullname'] = 'mail user1';
		$para['mailquota'] = 300;
		$para['ftpquota'] = 300;
	
		$res = get_api($api_url, $api_key, $api_secret, $para);
	
		var_dump($res);
		echo '<br>';
	
		//增加用户 user2
		$para = array();
		$para['method'] = 'user.added';
		$para['sessid'] = $loginuser['info']['sessid'];
		$para['name'] = 'user2';
		$para['domain'] = $domain;
		$para['password'] = 'cT123456_1xY';	
		$para['fullname'] = 'mail user2';
		$para['mailquota'] = 300;
		$para['ftpquota'] = 300;
	
		$res = get_api($api_url, $api_key, $api_secret, $para);
	
		var_dump($res);
		echo '<br>';
		
		//增加用户 group1
		$para = array();
		$para['method'] = 'group.added';
		$para['sessid'] = $loginuser['info']['sessid'];
		$para['name'] = 'newgroup';
		$para['domain'] = $domain;
		$para['fullname'] = 'mail group';
		$para['members'] = 'user1;user2';
	
		$res = get_api($api_url, $api_key, $api_secret, $para);
	
		var_dump($res);
		echo '<br>';
	}
	else {
		echo 'domain not found';
	}
}

?>